﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AmazonGlacierGUI.Core.Helpers;
using AmazonGlacierGUI.Core.Helpers.AmazonGlacier;

namespace AmazonGlacierGUI.Core.Model
{
    public class JobDescription
    {
        public JobDescription()
        {
        }

        public Guid Id { get; set; }
        public JobTypeEnum JobType { get; set; }
        public JobStatusEnum JobStatus { get; set; }
        public DateTime CreatedOn { get; set; }
        public DateTime? CompletedOn { get; set; }
        public string DownloadArchiveId { get;  set; }
        public string DownloadArchiveToPath { get;  set; }
        public string UploadArchiveFilePath { get;  set; }
        public string UploadArchiveDescription { get;  set; }
        public string VaultName { get;  set; }
        public AmazonRegionEnum Region { get;  set; }
        public Exception LastException { get; set; }
        public string JobId { get; set; }
        public string UploadId { get; set; }
        public long UploadedBytes { get; set; }
        public long DownloadedBytes { get; set; }
        public double Progress { get; set; }

        public string DownlodArchiveFileName { get; set; }
    }
}
