﻿using System.Collections.Generic;
using System.Linq;

namespace AmazonGlacierGUI.UI.Infrastructure.MVVMFramework
{
    public partial class UtilityHelper
    {
       
        //compare to enumerable returns true if a value exist in both collection
        public static bool IsValueExistInCollection<T>(IEnumerable<T> collection1,
                            IEnumerable<T> collection2)
        {
            foreach (T value in collection1)
            {
                if (collection2.Contains(value))
                    return true;
            }
            return false;
        }
  
       

    }
}
