﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using AmazonGlacierGUI.UI.Infrastructure.MVVMFramework;
using AmazonGlacierGUI.UI.ViewModels;

namespace AmazonGlacierGUI.UI.Views
{
    /// <summary>
    /// Interaction logic for CreateNewVaultView.xaml
    /// </summary>
    public partial class CreateNewVaultView : Window
    {
        private CreateNewVaultViewModel _vm;
        public CreateNewVaultView()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(CreateNewVaultView_Loaded);
        }
        public CreateNewVaultView(CreateNewVaultViewModel vm):this()
        {
            _vm = vm;
        }

        void CreateNewVaultView_Loaded(object sender, RoutedEventArgs e)
        {
            Framework.BindViewModel(this, _vm);            
        }
    }
}
