﻿using System;

namespace AmazonGlacierGUI.UI.Infrastructure.MVVMFramework
{
    public class PropertyValidation
    {
        public  PropertyValidation()
        {
            
        }
        
        public PropertyValidation(string propertyName,string displayName,string[] validationGroups,
            Func<ValidationResultData> validationMethod)
        {
            ValidationMethod = validationMethod;
            ValidationGroups = validationGroups;
            PropertyName = propertyName;
            DisplayName = DisplayName ?? propertyName;
        }
        public Func<ValidationResultData> ValidationMethod { get; set; }
        public string PropertyName { get; set; }
        public string DisplayName { get; set; }
        public string[] ValidationGroups { get; set; }
    }
}
