﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Timers;
using AmazonGlacierGUI.Core;
using AmazonGlacierGUI.Core.Helpers;
using AmazonGlacierGUI.Core.Model;
using AmazonGlacierGUI.UI.Infrastructure;
using AmazonGlacierGUI.UI.Infrastructure.MVVMFramework;
using GalaSoft.MvvmLight.Command;

namespace AmazonGlacierGUI.UI.ViewModels
{
    //30-sep-2012 Priyan R
    public class JobDetailsViewModel : AppViewModelBase
    {
        public JobDetailsViewModel(JobViewModel jobVM)
        {
            JobVM = jobVM;
            JobIsUpload = jobVM.JobType == JobTypeEnum.Upload;
            JobIsDownload = jobVM.JobType == JobTypeEnum.Download;
            
        }

        public bool JobIsUpload { get; set; }
        public bool JobIsDownload { get; set; }
        
        public JobViewModel JobVM { get; set; }
     
    }
}
