﻿using System.Windows;
using AmazonGlacierGUI.Core;
using AmazonGlacierGUI.UI.Infrastructure.MVVMFramework;
using AmazonGlacierGUI.UI.ViewModels;

namespace AmazonGlacierGUI.UI.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class JobsView : Window
    {
        private JobsViewModel _vm;
        public JobsView()
        {
            InitializeComponent();
            this.Title = Constants.AppTitle;
            this.Loaded += new RoutedEventHandler(JobsView_Loaded);

        }
        public JobsView(JobsViewModel vm):this()
        {
            _vm = vm;
        }
        void JobsView_Loaded(object sender, RoutedEventArgs e)
        {
            Framework.BindViewModel(this, _vm);
        }

        

    }

}