﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using AmazonGlacierGUI.UI.Infrastructure.MVVMFramework;
using AmazonGlacierGUI.UI.ViewModels;

namespace AmazonGlacierGUI.UI.Views
{
    /// <summary>
    /// Interaction logic for VaultBrowser.xaml
    /// </summary>
    public partial class VaultBrowser : Window
    {
        
        public VaultBrowser()
        {
            InitializeComponent();
        }

        private VaultBrowserViewModel _vm;
        public VaultBrowser(VaultBrowserViewModel vm):this()
        {
            _vm = vm;
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Framework.BindViewModel(this,_vm);
            _vm.Init();
            
        }
    }
}
